ImTOO DVD Ripper

ImTOO DVD Ripper 2.0

ImTOO DVD Ripper Brief Description

  • ImTOO DVD Ripper is a DVD ripping tool that is easy to use and has a high ripping speed. It can backup your favorite DVD movie into almost all popular video formats, such as VCD, SVCD, DivX, MPEG, AVI etc.
  • Compared with other DVD rippers, ImTOO DVD Ripper has more settings that you can customize, and it is easier than ever to use. Whether you are a veteran or a beginner, you will feel that it was developed for you!
  • ImTOO DVD Ripper provides you with excellent image/sound quality and a smaller file size with just a few clicks.

Formats Supported

  • Ripping DVD to VCD or SVCD;
  • Ripping DVD to DivX (which has better quality and smaller size);
  • Ripping DVD to MPEG1, MPEG2, MPEG4;
  • Ripping DVD to AVI.

More Settings

  • Select subtitle language or no subtitle for your targeting movies;
  • Set movie size for targeting movies;
  • Set frame rate including PAL and NTSC;
  • Select audio volume, frequency, or whether to enable Dolby Surround;
  • And more..

More Features

  • ImTOO DVD Ripper is suited for both veterans and beginners.
    If you are a veteran, you will find there are so many options you can set, if it's the first time you rip DVDs, you don't have to consider these options, just use default settings and rip DVDs in a few clicks.
  • Automatically check your CPU type
    ImTOO DVD Ripper can check your CPU type automatically, that ensure you can rip your DVDs with the best ripping speed.
  • Support preview
    You can preview the movies before you begin ripping them, even you can watch the movies at the same time when you are ripping DVDs.
    Note: There is no sound when you are ripping DVDs.
  • Select chapters to rip at will
    You can rip entire DVD movie or just one or several chapters;
  • Support batch conversion
    Select all files you want to rip and ImTOO DVD Ripper will automatically copy them one by one.
  • Excellent image and sound quality
    Using ImTOO DVD Ripper, you will get the movie formats you want with excellent image and sound quality.


Get started

Quick Starting

  1. Click the button "Open DVD"
  2. Click [image] in "Output" groupbox to select output folder
  3. Select output video Format [image] in "Output" groupbox
  4. Click the button "Start Ripping" [image] to start


Settings

Settings for INPUT section of the main DVD Ripper window

Input Section Fields:

index:
Select the desired program index (PGC).
Most movies are stored in index 0.
Default is : 0

Audio:
Select the Audio track to extract.
Note: Only LPCM, MPEG Audio Layer 1/2, and AC3 are supported.
Default is : first option in the dropdown list box.

Angle:
Select the desired camera angle.
Most movies are stored in angle 1.
Default is : 1

Subtitle:
Select the desired subtitle from the dropdown list box.
Default is : None

Settings for OUTPUT section of the main DVD Ripper window

Output Section Fields:

Format:
Select the output video format from the dropdown list box.
Video CD is MPEG I. Super Video CD is MPEG II. The AVI output selection will depend on which codecs you have installed.
If you choose AVI, you must select a codec in "Settings->Output Settings->AVI Specific". Choose "AVI(DivXYUV, ...)" if you want to make a DivX video.
Default is : Video CD

Zoom:
¡¯Letterbox¡¯, ¡®medium¡¯, and ¡®pan scan¡¯ options will convert 16:9 format to 4:3 format.
The Full option does not correct the aspect ratio.
If you have a 4:3 DVD, use the Full option.
Default is : Letter Box (4/3)

Volume Size:
Select the size of the volumes that you would like to generate.
Default is : Custom size

Filename:
Click the ¡®Browse¡¯ button to select the output folder.
The encoder will output volumes as output_filename.mpg, output_filename_02.mpg, output_filename_03.mpg, ....
Default is : none


Input Settings

Settings for the Advanced Input Section of the DVD Ripper window

Output frame rate:
Frame rate of the output video file. 25 (PAL) or 23.97, 29.97 (NTSC).
Warning: this value is not automatically set. If you choose a different frame rate from the actual input rate, a conversion will be performed to obtain the selected output frame rate; but you should avoid converting NTSC to PAL, or PAL to NTSC .
Default is : 29.97 (NTSC)

Detect 24Fps:
Detect automatically for a 24Hz progressive NTSC movie.
Default is : Yes

Force 24Fps:
Force the movie source to be recognized as a 24Hz progressive NTSC.
This flag is in effect only if ¡®detect 24fps¡¯ is also checked. (Use this option if you think that the 24Hz detection is not working).
Default is : No

Subtitle Offset:
Vertical offset of the subtitle expressed in pixels.
This value is automatically adjusted if the subtitle extends beyond the screen.
Default is : 0

Original color:
Preserves original color of the IFO file.
Uncheck it if your subtitle is too dim.
Default is : Yes

DeMacroVision:
Remove macro vision protection from the movie.
Default is : Yes

Key Search:
Mode for CSS key search (the mode 0 works fine in 99% of cases).
0 - Search a key one time when starting the ripping process
1 - Search a new key at each VOB-ID
2 - Search a new key at each CELL-ID
3 - Search a new key at each VOB/CELL-ID combination
4 - Disabled
Default is : 0

Audio 48KHz to 44.1 KHz:
48KHz downsampling mode.
0 : Normal mode (fastest)
1 : High quality (slower)
2 : Export AC3
Exports the source AC3 to an AC3 audio file along with the exported AVI file. See the ¡°output settings¡± Help File for details.
3 : 44.1KHz (no conversion)
Select this option when you do not want to make an audio rate conversion (when you already have a 44.1KHz source stream and want a 44.1KHz output rate).
4 : 48.0KHz (no conversion)
Same purpose as choice 3 except refers to 48.0KHz.
Default is : Normal mode

Volume:
Gain of the audio output.
No normalization is performed; so, if the value is set too high, clipping of the audio signal may occur. A value of 1 can not generate distortion (crackling), but the output sound may be very low. The default value produces a good volume for most DVDs.

You can make a few clips of the movie where you know the volume is high, and adjust this value in order to get a satisfactory volume. You can also use the sound normalizer tool (in Tools menu) to find an optimum volume.
Default is : 3

Dolby Surround:
Enables Dolby Surround sound downmixing.
Preserves a better sound in 5.1 FX stereo mode
Default is: Enabled

iDCT:
Inverse Discrete Cosine Transform routines (also includes motion compensation).
MMX is fast and suitable for most CPUs. FPU selection always gives the best quality.
Default is : Auto detected

Overlap:
When the output volume size has been reached, the Overlap value is used to determine the length in seconds of the overlapping segment portion that successively created volumes will contain. (This setting has no effect in custom chapter splitting). For example: If Overlap=10, and the first volume created ends at a time of 1:10:25, then the next volume created will start at the time 1:10:15
Default is : 0 sec

Audio Video Synchronization:
Re-synchronize video and audio periodically. (not always necessary).
Default is : No

Save your DVD drive:
Create a temporary buffer to avoid having the DVD drive being switched on/off too frequently.
If you use a RAM buffer you can also disable virtual memory to obtain an even faster ripping speed. The file will be written in your Windows temporary directory (TMP environment variable).
Default is : 10MB, Location: RAM

Luminance filter:
Adjusts the brightness level.
The Y plane is the luminance plane (in YUV format). Applies the formula: Gain*Y + Offset on the Y plane. Gain is an 8.8 fixed point value. (0 = 0.0 ; 128 = 1.0 ; 256 = 2.0 ). Therefore, (using an offset value of 0) a luminance filter value of 128 does not change the brightness level; whereas a value of 256 will double the brightness level. A value less than 128 darkens the movie.
Default is : Not enabled, (equivalent to Filter value: 128, Offset: 0).

DeMacroVision:
Remove macro vision protection from the movie.
Default is : Yes

Deinterlace Filter:
Use this when your source image is interlaced and you want to remove the interlacing to produce a progressive NTSC movie.

Explanation: each frame of a 30fps movie consists of 2 separate fields, each field consisting of half the total number of scan lines for an entire movie frame -- one field is referred to as the even field, and the other is referred to as the odd field (or, they may be referred to as the lower field, upper field, or as the primary field, secondary field) -- so a 30fps interlaced movie would contain 60 fields. After deinterlacing, there will still be 30 frames (but only 30 ¡°fields¡±, each ¡°field¡± now containing the total number of scan lines). Note the following warning.

Warning: if you explicitly set the deinterlace option to, for example, the odd field, and the video uses the even field as the primary or dominant field, the deinterlacing will produce a ¡®jerky¡¯ motion. You can experiment and just make a clip of 10 images to see if you have used the correct field as the dominant field.
Interpolate mode: interpolates the even field (you lose a bit of quality for SVCD, but this option always works)
Default is : Interpolate


Output Settings

Settings for the Advanced Output Section of the DVD Ripper window

Table of Video Output Settings
  • Section 1A ¨C VCD-SVCD: MPEG specific Video settings (VCD-MPEG1; SVCD-MPEG2),
  • Section 1B - VCD-SVCD: Expert settings,
  • Section 2 ¨C AVI (DivX, YUV,¡): MPEG specific and ¡°Expert¡± settings,
  • Section 3 - ¡°Export and Misc¡± settings for ALL OUTPUT modes.

Section 1A ¨C VCD-SVCD: MPEG specific Settings for Video CD (VCD ¨C MPEG1) and Super Video CD settings (SVCD-MPEG2)

Video Bitrate:
Video bit rate of the output MPEG file.
For VCD the video bit rate must be between 650 and 1150 Kbit/s.
For SVCD the video bit rate must be lower than 2600 Kbit/s (2376 is recommended)
Default is : 1150 (for Video CD) or 2376 (for Super Video CD)

Audio Bitrate:
Audio bit rate of the output MPEG file.
For VCD the audio bit rate must be 224 Kbit/s
Default is : 224

Motion Search:
Compression speed optimization. Use the following settings to obtain a balance between rendering speed and noise (or blurring) around moving objects in the output file.
Normal : Normal(fast)
Good : Good
High : Better quality (slow)
Very High : Best quality (very slow)
Default is : Good

Calculation mode:
CPU calculation mode.
0 : MMX (works only on Intel MMX processors)
1 : 3DNow (for AMD user)
2 : SSE2 for IntelP4 processor, or AMD 64 bit processor£¨Please Note: ImTOO DVD Ripper is unable to detect AMD 64 CPU correctly, so AMD 64 users need select this option manually£©
3 : Normal (slow) does not perform an MMX calculation
The default value is detected automatically.

DCT/iDCT:
DCT and iDCT routines.
0 : MMX for MMX processor
1 : SSE2 for IntelP4 processor
2 : FPU (highest quality)
The default value is detected automatically.

Section 1B ¨C VCD-SVCD: Expert settings

Mux Rate:
Increases the multiplexing rate by Mux_Rate% . Use this parameter to avoid underflow.
As you increase this value, the output file will become slightly larger.
Default is : for VCD = 1.4, for SVCD = 5.6

VBV buffer size:
Size of the VBV buffer. 20 is recommended for VCD, 112 for SCVD.
Default is : 20

Quant matrix:
The quant matrices that ImTOO DVD Ripper uses to compress video data are defined in source code. ImTOO DVD Ripper determines which one will be selected automatically. Options are,
1) default,
2) MPEG standard
Default is: ¡°default¡±

Export:
Video format passed to the premiere plugin (compatible with the Video Server) and to the AVI codec.
The internal MPEG encoder only uses a 4:2:0 YUV formats; so this setting is ignored
Default is : RGB24

Pulldown 3:2:
Converts 23.976Hz to 29.97Hz (NTSC Only).
Default is : Unchecked = no conversion

Section 2 ¨C AVI (DivX, YUV, ¡): MPEG specific and Expert settings

Audio drop down box:
You may select one of the following audio options,
1) Disable ¨C no audio is output.
2) Store to WAV ¨C produces uncompressed 16 bit stereo at 44.1 KHz.
3) Use MP3 ¨C produces MP3 audio format. Selecting this option will enable the adjacent ¡°AUDIO¡± button. Click the ¡°AUDIO¡± button to select MP3 options for bit rate, quality, channel (stereo or mono), and settings for the low pass/high pass filter.
4) Use ACM.

NOTE: If you want to export audio as an AC3 file, then select option 1) above (¡°Disable¡± option). Make certain that you have also selected, ¡°Export AC3 stream¡± AND have checked, the ¡°Dolby Surround¡± box in the ¡°Audio¡± section of the ¡°Input Settings¡± window. ImTOO DVD Ripper will then output an AVI file and an AC3 file at the same time.

Codec:
From the drop down list box select the codec to use in the output file.

Multi Pass (¡®Enable Video¡¯ box - ¡®Enable 2 nd¡¯ box):
Allows the audio and video to be read in 2 passes. You can use this option if you encode with TMPGEnc and use a 2Pass VBR.
UNCHECK this box if you do CBR or a one pass VBR.
When you check a box, then the corresponding ¡°pass 1 settings¡± button or ¡°pass 2 settings¡± button, will be enabled so that you may choose options for the currently selected codec. The options presented will differ depending on the particular codec selected.
Default is : Unchecked

Export (AVI+Premiere):
Video format passed to the Premiere plugin (compatible with the Video Server) and to the AVI codec.
The YUY2 format is in fact a 4:2:2 YUV format (very good for DivX encoding) Options for the color spectrum of the output file are,
1) RGB24
2) RGB32
3) YV12
4) YUY2

Section 3 ¨C ¡°Export and Misc¡± settings for ALL OUTPUT modes

Export settings

Resolution:
Output resolution in pixels.
PAL: 352 x 288, NTSC: 352 x 240
Default is : 352 x 240

Video Resize:
Video resizing filter options are,
Nearest neighbor: Uses the nearest pixel. (No filtering).
BiLinear: very accurate but slow.
BiLinear MMX: very accurate and fast
BiCubic: very accurate bicubic filter but very slow.
BiCubic SSE: SSE implementation of accurate bicubic filter that works on PIII, or K7, or higher CPU.
Pseudo BiCubic: not accurate but very fast.
Bilinear uses 2x2 pixel region of nearest points to smooth the picture.
BiCubic uses 4x4 pixel region of nearest points to smooth the picture.
TAP filters are 2Pass filters, that give the best quality, but are slower (Please Note: The TAP filters are the options prefixed with ¡®TAB¡¯).

Bilinear uses 2*2 nearest points to smooth the picture
BiCubic uses 4*4 nearest points to smooth the picture
TAP filters are 2Pass filters,they give best quality
but are slower.

Max frames:
Maximum number of frames to encode. Click the adjacent ¡°Whole¡± button in order to select all frames
Default is : 999999

Miscellaneous settings

Ignore Overwrite message:
Check the box to automatically overwrite any existing file of the same name.If you leave the box unchecked, you will be prompted whether or not you wish to overwrite a file with the same name.
Default is : Unchecked

Render every 0=none:
This means ImTOO DVD Ripper render one frame and display it in the preview window every nn frames
Default is: 25


 Any time that you need help while using ImTOO DVD Ripper, press "F1" to open the help documentation. If you cannot find the answer to your question, please contact our support team at support@imtoo.com .


 ImTOO CD Ripper

ImTOO CD Ripper is a flexible tool used to extract CD tracks to MP3, WAV, WMA, OGG Vorbis, VQF, APE with ease. Auto-detecting your CD-Rom and auto-listing tracks makes you can rip these tracks by just one click. Support retrieving tracks' information from remote CDDB (CD database) or creating your local CDDB. You can select bitrate from 32Kbps to 320Kbps for MP3 encoder. ImTOO CD Ripper allows you to edit ID3 tag and add files to M3U/PLS playlist. Embedded CD player can playback CD tracks before ripping. It also provides volume normalization for tracks different volume levels.

Additionally ImTOO CD Ripper is also an audio converter that can convert digital audio formats between MP3, WAV, WMA, OGG, VQF, APE etc. It builds in various audio encoders that ensures you needn't external encoders to support all of these popular formats.

See full info from http://www.imtoo.com/cd-ripper.html .


ImTOO DVD Ripper

DVD Audio Ripper

DVD Audio Ripper Brief Description

  • DVD Audio Ripper is a DVD audio ripping tool easy to use with high ripping speed. It can extract your favorite DVD's audio track to mp3 and wav file.
  • DVD Audio Ripper provides you with excellent sound quality and smaller file size just in a few clicks.

Fomats Supported

  • Ripping DVD to mp3;
  • Ripping DVD to wav;

More Features

  • Automatically check your CPU type
    DVD Audio Ripper can check your CPU type automatically, that ensure you can rip your DVDs with the best ripping speed.
  • Support preview
    You can turn on or turn off preview while rippng DVDs. To maximize the ripping speed you may turn off preview.
  • Support ID3 tag
    You can edit ID3 tag before ripping.
  • Support batch conversion
    Select all titles you want to rip and DVD Audio Ripper will automatically rip and encode them one by one.
  • Splitting file by time, size or chapter
    You can split the output files by time or size. You can customize the time or size value. The default split mode is splitting by chapter.

See full info from http://www.imtoo.com/dvd-audio-ripper.html .